Buy Philips AquaTouch Wet Or Dry Electric Shaver S3122 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips AquaTouch Wet Or Dry Electric Shaver S3122

PRODUCT CODE: PH-S3122

0
0
0
0
0

Rs. 32,950

Reward Points Icon

Earn 165 RED points with this purchase More Info

Offer Icon

Special Discount - Checkout using HNB Bank payment method and get extra 10% off T&C

T&C ×

Special Discount - Checkout Using HNB Bank Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 10,983 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type 5D Pivot & Flex Heads follow curves for a comfortable shaver
Blade Material ComfortCut Blades
Operating Time 55 minutes
Charging Time 1 Hour
Battery Type Lithium-ion
Indicators 1 level battery indicator
Wet & Dry Usage Yes
Special Features 5-minute quick charge gives enough power for 1 full shave, Pop-up trimmer
Cable Cordless
Safety / Protection Skin Protection System allows smooth gliding to protect skin
Other Information Ergonomic grip & handling, Non-slip rubber handle, Protective cap, Fully washable

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
bank offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Philips OneBlade Face Rechargeable Shaver QP1424
bank offer

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Philips Beard Trimmer BT1230 - Stainless Steel Blades
bank offer

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
bank offer

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
bank offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair
bank offer

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Hair Clipper - SIN-RFC-1819
bank offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades
bank offer

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
Stanley Variable Speed Heatgun STXH2000 - 2000W

ST-STXH2000-B5

0
0
0
0
0
Stanley Variable Speed Heatgun STXH2000 - 200...
Rs 13,990
Salter 1024 Kitchen Scale 5KG X 1G
bank offer

SKS-1024

0
0
0
0
0
Salter 1024 Kitchen Scale 5KG X 1G
Rs 10,499
Rs 13,999 25% Off
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Indesit Cooker Hood, Chimney Type, Air Flow 647m3h
bank offer

IND-IHPC64LMX

0
0
0
0
0
Indesit Cooker Hood, Chimney Type, Air Flow 6...
Rs 74,299
BLACK+DECKER Steam Iron X1600-B5 With Non-Stick Soleplate, 1750W

BD-X1600-B5

0
0
0
0
0
BLACK+DECKER Steam Iron X1600-B5 With Non-Sti...
Rs 13,900
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products